> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate Funding Fees

> Calculate the fee for a funding method and amount. For withdrawals, the response also includes a unique
`withdrawal_fee_token` that pins the quoted fee rate for later use with
[Create Funding Withdrawal](/api-reference/funding-beta/create-funding-withdrawal). The token expires after
5 minutes and can be used on multiple withdrawals.

**API Key Permissions Required:** `Funds permissions - Query`



## OpenAPI

````yaml /openapi/funding-beta.yaml get /funding/v1/fees/{method_id}
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/fees/{method_id}:
    get:
      tags:
        - funding-beta
      summary: Calculate Funding Fees
      description: >-
        Calculate the fee for a funding method and amount. For withdrawals, the
        response also includes a unique

        `withdrawal_fee_token` that pins the quoted fee rate for later use with

        [Create Funding
        Withdrawal](/api-reference/funding-beta/create-funding-withdrawal). The
        token expires after

        5 minutes and can be used on multiple withdrawals.


        **API Key Permissions Required:** `Funds permissions - Query`
      operationId: calculateFundingFeesV1
      parameters:
        - in: path
          name: method_id
          required: true
          schema:
            description: Funding method to calculate fees for.
            type: string
            pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
          style: simple
          example: d4ec4d52-b159-428e-ba64-f45455a978a1
        - in: query
          name: amount
          required: true
          schema:
            description: Amount to calculate fees for.
            type: string
            pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
          style: form
          example: '5'
        - in: query
          name: fee_included
          schema:
            description: Whether the amount includes the fee.
            type: boolean
          style: form
          example: true
        - in: query
          name: withdrawal_fee_token
          schema:
            description: >-
              Token identifying a previously calculated withdrawal fee quote.
              Expires after 5 minutes and can be used on multiple withdrawals.
            type: string
            minLength: 1
          style: form
        - in: query
          name: rebase_multiplier
          schema:
            description: >-
              For tokenized assets, controls whether amounts (eg fees, minimums,
              maximums) use rebased or

              base units.
            type: string
            enum:
              - rebased
              - base
          style: form
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  fee:
                    description: Calculated funding fee.
                    type: object
                    properties:
                      asset:
                        description: Asset in which the amount is denominated.
                        type: object
                        properties:
                          class:
                            description: Asset class.
                            type: string
                            enum:
                              - currency
                              - tokenized_asset
                          name:
                            description: Asset name.
                            type: string
                            minLength: 1
                            maxLength: 16
                        required:
                          - class
                          - name
                      amount:
                        description: Decimal amount.
                        type: string
                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                    required:
                      - asset
                      - amount
                  gross_amount:
                    description: Amount including the fee.
                    type: object
                    properties:
                      asset:
                        description: Asset in which the amount is denominated.
                        type: object
                        properties:
                          class:
                            description: Asset class.
                            type: string
                            enum:
                              - currency
                              - tokenized_asset
                          name:
                            description: Asset name.
                            type: string
                            minLength: 1
                            maxLength: 16
                        required:
                          - class
                          - name
                      amount:
                        description: Decimal amount.
                        type: string
                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                    required:
                      - asset
                      - amount
                  net_amount:
                    description: Amount excluding the fee.
                    type: object
                    properties:
                      asset:
                        description: Asset in which the amount is denominated.
                        type: object
                        properties:
                          class:
                            description: Asset class.
                            type: string
                            enum:
                              - currency
                              - tokenized_asset
                          name:
                            description: Asset name.
                            type: string
                            minLength: 1
                            maxLength: 16
                        required:
                          - class
                          - name
                      amount:
                        description: Decimal amount.
                        type: string
                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                    required:
                      - asset
                      - amount
                  fee_details:
                    description: Components of the calculated fee.
                    type: object
                    properties:
                      base_fee:
                        description: Fixed fee component.
                        type: object
                        properties:
                          asset:
                            description: Asset in which the amount is denominated.
                            type: object
                            properties:
                              class:
                                description: Asset class.
                                type: string
                                enum:
                                  - currency
                                  - tokenized_asset
                              name:
                                description: Asset name.
                                type: string
                                minLength: 1
                                maxLength: 16
                            required:
                              - class
                              - name
                          amount:
                            description: Decimal amount.
                            type: string
                            pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                        required:
                          - asset
                          - amount
                      fee_percentage:
                        description: Percentage fee component.
                        type: string
                        pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
                    required:
                      - base_fee
                      - fee_percentage
                  withdrawal_fee_token:
                    description: >-
                      Token identifying the calculated withdrawal fee quote for
                      a later request. Expires after 5 minutes and can be used
                      on multiple withdrawals.
                    type: string
                    minLength: 1
                required:
                  - fee
                  - gross_amount
                  - net_amount
                  - fee_details
              example:
                fee:
                  asset:
                    class: currency
                    name: USDC
                  amount: '1.00000000'
                gross_amount:
                  asset:
                    class: currency
                    name: USDC
                  amount: '5.00000000'
                net_amount:
                  asset:
                    class: currency
                    name: USDC
                  amount: '4.00000000'
                fee_details:
                  base_fee:
                    asset:
                      class: currency
                      name: USDC
                    amount: '1.00000000'
                  fee_percentage: '0'
                withdrawal_fee_token: >-
                  AAAAAAAAAAHG33Wc1eES6QpeGgMok_gUnlZC7Y5niezI2,MBriLCyg8oqCX7SH1bSqY6SfmC2ZLf_SgTxNZj4Cd1RLPaTyZE...
      security:
        - API-Key: []
          API-Sign: []
          API-Nonce: []
        - API-Key: []
          API-Sign: []
          API-Nonce: []
          API-OTP: []
components:
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header
    API-Nonce:
      type: apiKey
      description: >-
        The "API-Nonce" header should contain an always-increasing 64-bit
        integer, most commonly a Unix timestamp in milliseconds. Each request
        must use a nonce greater than the nonce of the previous request signed
        with the same API key.
      name: API-Nonce
      in: header
    API-OTP:
      type: apiKey
      description: >-
        The "API-OTP" header should contain your two-factor authentication
        one-time password. Required only if 2FA is configured for the API key.
      name: API-OTP
      in: header

````